Subject: Re: linux-next: build failure after merge of the kspp tree

From: Kees Cook <[email-masked]>
Date: Sat, 19 Jul 2025 23:04:34 -0700

On Fri, Jul 18, 2025 at 08:40:39PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the kspp tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> ERROR: modpost: missing MODULE_LICENSE() in lib/tests/seq_buf_kunit.o
> WARNING: modpost: missing MODULE_DESCRIPTION() in lib/tests/seq_buf_kunit.o

Thanks for noticing this! I'm not sure why my local builds missed it.
Now fixed.

-Kees

-- 
Kees Cook